aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-sass/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 14:12:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:32 +0000
commitce2afacceb5fb09463be0696754f4dd7e24941b3 (patch)
tree80e556719f3701139c3c476a663f379bcc6fdb5d /testing/py-flask-sass/APKBUILD
parentc717779a4f01afb8ca0a5dc0e5596133230359ff (diff)
downloadaports-ce2afacceb5fb09463be0696754f4dd7e24941b3.tar.gz
aports-ce2afacceb5fb09463be0696754f4dd7e24941b3.tar.bz2
aports-ce2afacceb5fb09463be0696754f4dd7e24941b3.tar.xz
testing/py-flask-sass: new aport
Flask Sass extension https://pypi.python.org/pypi/Flask-Sass
Diffstat (limited to 'testing/py-flask-sass/APKBUILD')
-rw-r--r--testing/py-flask-sass/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-sass/APKBUILD b/testing/py-flask-sass/APKBUILD
new file mode 100644
index 0000000000..e458e4e05d
--- /dev/null
+++ b/testing/py-flask-sass/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-sass
+_pkgname=Flask-Sass
+pkgver=0.9
+pkgrel=0
+pkgdesc="Flask Sass extension"
+url="https://pypi.python.org/pypi/Flask-Sass"
+arch="noarch"
+license="BSD"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools py-itsdangerous"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="97eb01e704cb4755b8128acf70ed692b Flask-Sass-0.9.tar.gz"
+sha256sums="0cac3df666eca864d7428a1a07bb5c9bb377fab86dc67bd326c2b14201c32d5c Flask-Sass-0.9.tar.gz"
+sha512sums="bc14028b23bbba9b5912eaee3753fd00e03c6e18648eb81c49b71c8b499ca5b0ab0acd252344f14c83bbc5dd9a874b2289356afe383d95d413812ebd8b345be2 Flask-Sass-0.9.tar.gz"